#!/bin/bash -eu

CMDD=$(dirname $(realpath $0))

pgdump_file=$1
sqlite_db=$2

export PGPASSWORD=${DB_PASS}
PGCONN="-h ${DB_HOST} -p ${DB_PORT} -U ${DB_USER}"
PSQL="psql ${PGCONN}"
PGDUMP="pg_dump ${PGCONN}"

$PSQL <<< "drop database if exists ${DB_NAME}"
$PSQL <<< "create database ${DB_NAME}"
$PSQL -d ${DB_NAME} < $pgdump_file
$PSQL -d ${DB_NAME} < ${CMDD}/create_instances.sql

rm ${sqlite_db}
sqlite3 ${sqlite_db} < schema.sql
$PGDUMP -d ${DB_NAME} --no-comments --section=data --data-only --column-inserts --no-owner -t instances | awk 'NR>22' | sed -e 's/ public\.instances / instances /' | sqlite3 ${sqlite_db}
$PSQL -d ${DB_NAME} --csv < ${CMDD}/query_stats.sql | sqlite3 ${sqlite_db} ".import --skip 1 --csv '|cat -' stats"

sqlite3 ${sqlite_db} <<< 'select count(*) from instances'
sqlite3 ${sqlite_db} <<< 'select count(*) from stats'
